Get active operations for a VM

Check for any ongoing system operations, such as backups or maintenance, for your virtual machine (VM). This helps you understand the current system status and any processes that might affect your service.

VPS Services VM

Context

Used in the dashboard

/instance/[id]

Where to get IDs / values

Path Parameters

vmid integer · min: 1 required Example: 10000

Unique vmid identifier

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.canPerformActions boolean required · Example: true
data.hasActiveBackup boolean required · Example: false
data.hasActiveOperation boolean required · Example: false
data.jobs array<object> required · Example: []
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/vm/{vmid}/active-jobs
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/vm/10000/active-jobs" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "jobs": [],
    "hasActiveBackup": false,
    "hasActiveOperation": false,
    "canPerformActions": true
  }
}